# The MEME Suite

## Motif-based sequence analysis tools

## compute-prior-dist

### Usage:

`compute-prior-dist <number of bins> <psp filename>`

### Description

compute-prior-dist computes the distribution of priors from a file in MEME PSP format. The disbution is scaled and binned into the number of bins specified on the command line.

### Input

#### Number of Bins

Number of increments to scale the distribution into.

#### PSP Filename

The PSP file must be in MEME PSP format.

### Output

The output is sent to standard output, and contains one number per line.

The first two lines are the minimum and maximum priors. Each succeeding line contains the probability that a prior is in the bin.

The prior is derived from the bin number (counting from 0) using the formula:

    prior = ((bin #) / (num bins - 1) * (max prior - min prior)) + (min prior)

See the sample output.

### Options

There are no optional arguments.